编辑:tw-sack.js
/* Simple AJAX Code-Kit (SACK) v1.6.1 */ /* ©2005 Gregory Wild-Smith */ /* www.twilightuniverse.com */ /* Software licenced under a modified X11 licence, see documentation or authors website for more details */ function sack(file) { this.xmlhttp = null; this.resetData = function() { this.method = "POST"; this.queryStringSeparator = "?"; this.argumentSeparator = "&"; this.URLString = ""; this.encodeURIString = true; this.execute = false; this.element = null; this.elementObj = null; this.requestFile = file; this.vars = new Object(); this.responseStatus = new Array(2); }; this.resetFunctions = function() { this.onLoading = function() { }; this.onLoaded = function() { }; this.onInteractive = function() { }; this.onCompletion = function() { }; this.onError = function() { }; this.onFail = function() { }; }; this.reset = function() { this.resetFunctions(); this.resetData(); }; this.createAJAX = function() { try { this.xmlhttp = new ActiveXObject("Msxml2.XMLHTTP"); } catch (e1) { try { this.xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); } catch (e2) { this.xmlhttp = null; } } if (! this.xmlhttp) { if (typeof XMLHttpRequest != "undefined") { this.xmlhttp = new XMLHttpRequest(); } else { this.failed = true; } } }; this.setVar = function(name, value){ this.vars[name] = Array(value, false); }; this.encVar = function(name, value, returnvars) { if (true == returnvars) { return Array(encodeURIComponent(name), encodeURIComponent(value)); } else { this.vars[encodeURIComponent(name)] = Array(encodeURIComponent(value), true); } } this.processURLString = function(string, encode) { encoded = encodeURIComponent(this.argumentSeparator); regexp = new RegExp(this.argumentSeparator + "|" + encoded); varArray = string.split(regexp); for (i = 0; i < varArray.length; i++){ urlVars = varArray[i].split("="); if (true == encode){ this.encVar(urlVars[0], urlVars[1]); } else { this.setVar(urlVars[0], urlVars[1]); } } } this.createURLString = function(urlstring) { if (this.encodeURIString && this.URLString.length) { this.processURLString(this.URLString, true); } if (urlstring) { if (this.URLString.length) { this.URLString += this.argumentSeparator + urlstring; } else { this.URLString = urlstring; } } // prevents caching of URLString this.setVar("rndval", new Date().getTime()); urlstringtemp = new Array(); for (key in this.vars) { if (false == this.vars[key][1] && true == this.encodeURIString) { encoded = this.encVar(key, this.vars[key][0], true); delete this.vars[key]; this.vars[encoded[0]] = Array(encoded[1], true); key = encoded[0]; } urlstringtemp[urlstringtemp.length] = key + "=" + this.vars[key][0]; } if (urlstring){ this.URLString += this.argumentSeparator + urlstringtemp.join(this.argumentSeparator); } else { this.URLString += urlstringtemp.join(this.argumentSeparator); } } this.runResponse = function() { eval(this.response); } this.runAJAX = function(urlstring) { if (this.failed) { this.onFail(); } else { this.createURLString(urlstring); if (this.element) { this.elementObj = document.getElementById(this.element); } if (this.xmlhttp) { var self = this; if (this.method == "GET") { totalurlstring = this.requestFile + this.queryStringSeparator + this.URLString; this.xmlhttp.open(this.method, totalurlstring, true); } else { this.xmlhttp.open(this.method, this.requestFile, true); try { this.xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded") } catch (e) { } } this.xmlhttp.onreadystatechange = function() { switch (self.xmlhttp.readyState) { case 1: self.onLoading(); break; case 2: self.onLoaded(); break; case 3: self.onInteractive(); break; case 4: self.response = self.xmlhttp.responseText; self.responseXML = self.xmlhttp.responseXML; self.responseStatus[0] = self.xmlhttp.status; self.responseStatus[1] = self.xmlhttp.statusText; if (self.execute) { self.runResponse(); } if (self.elementObj) { elemNodeName = self.elementObj.nodeName; elemNodeName.toLowerCase(); if (elemNodeName == "input" || elemNodeName == "select" || elemNodeName == "option" || elemNodeName == "textarea") { self.elementObj.value = self.response; } else { self.elementObj.innerHTML = self.response; } } if (self.responseStatus[0] == "200") { self.onCompletion(); } else { self.onError(); } self.URLString = ""; break; } }; this.xmlhttp.send(this.URLString); } } }; this.reset(); this.createAJAX(); }
保存文件
位置:
home
/
londongranite
/
public_html
/
wp-includes
/
js
批量上传
创建
创建
批量权限
批量删除
名称
权限
大小
修改时间
操作
↑ 返回上级
-
-
-
-
codemirror
drwxr-xr-x
-
2026-08-17 06:12
权限
删除
重命名
crop
drwxr-xr-x
-
2024-10-28 16:19
权限
删除
重命名
dist
drwxr-xr-x
-
2026-07-17 19:44
权限
删除
重命名
imgareaselect
drwxr-xr-x
-
2024-10-28 16:19
权限
删除
重命名
jcrop
drwxr-xr-x
-
2026-08-17 06:17
权限
删除
重命名
jquery
drwxr-xr-x
-
2026-08-17 06:20
权限
删除
重命名
mediaelement
drwxr-xr-x
-
2024-10-28 16:19
权限
删除
重命名
plupload
drwxr-xr-x
-
2026-08-17 08:08
权限
删除
重命名
swfupload
drwxr-xr-x
-
2026-08-17 06:16
权限
删除
重命名
thickbox
drwxr-xr-x
-
2026-08-17 06:20
权限
删除
重命名
tinymce
drwxr-xr-x
-
2024-10-28 16:19
权限
删除
重命名
backbone.js
-rw-r--r--
78.55 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
colorpicker.js
-rw-r--r--
28.4 KB
2012-11-17 20:11
编辑
下载
权限
删除
重命名
colorpicker.min.js
-rw-r--r--
16.11 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
customize-base.js
-rw-r--r--
25.22 KB
2023-05-20 14:19
编辑
下载
权限
删除
重命名
customize-loader.min.js
-rw-r--r--
3.47 KB
2023-02-02 21:36
编辑
下载
权限
删除
重命名
customize-preview-nav-menus.js
-rw-r--r--
14.67 KB
2020-07-28 03:35
编辑
下载
权限
删除
重命名
customize-preview-nav-menus.min.js
-rw-r--r--
4.92 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
customize-preview-widgets.js
-rw-r--r--
22.71 KB
2020-06-20 16:58
编辑
下载
权限
删除
重命名
customize-preview-widgets.min.js
-rw-r--r--
7.64 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
customize-preview.min.js
-rw-r--r--
10.75 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
customize-selective-refresh.js
-rw-r--r--
32.55 KB
2024-04-12 21:47
编辑
下载
权限
删除
重命名
customize-selective-refresh.min.js
-rw-r--r--
10.44 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
hoverintent-js.min.js
-rw-r--r--
1.68 KB
2019-12-10 06:03
编辑
下载
权限
删除
重命名
json2.js
-rw-r--r--
31 B
2026-03-15 20:43
编辑
下载
权限
删除
重命名
mce-view.min.js
-rw-r--r--
9.54 KB
2024-06-27 16:55
编辑
下载
权限
删除
重命名
media-audiovideo.min.js
-rw-r--r--
11.76 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
media-editor.min.js
-rw-r--r--
10.83 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
quicktags.js
-rw-r--r--
22.07 KB
2021-09-09 03:29
编辑
下载
权限
删除
重命名
quicktags.min.js
-rw-r--r--
10.87 KB
2023-02-02 21:36
编辑
下载
权限
删除
重命名
tw-sack.js
-rw-r--r--
4.85 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
underscore.js
-rw-r--r--
67.26 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
underscore.min.js
-rw-r--r--
18.57 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
wp-ajax-response.js
-rw-r--r--
3.81 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
wp-ajax-response.min.js
-rw-r--r--
2.51 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
wp-auth-check.js
-rw-r--r--
4.34 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
wp-auth-check.min.js
-rw-r--r--
1.65 KB
2026-05-21 23:23
编辑
下载
权限
删除
重命名
wp-backbone.min.js
-rw-r--r--
2.97 KB
2022-04-09 00:07
编辑
下载
权限
删除
重命名
wp-custom-header.js
-rw-r--r--
10.22 KB
2021-04-10 16:40
编辑
下载
权限
删除
重命名
wp-custom-header.min.js
-rw-r--r--
4.34 KB
2023-02-02 21:36
编辑
下载
权限
删除
重命名
wp-embed-template.js
-rw-r--r--
6.62 KB
2021-11-11 07:49
编辑
下载
权限
删除
重命名
wp-embed-template.min.js
-rw-r--r--
3.1 KB
2024-06-27 16:55
编辑
下载
权限
删除
重命名
wp-emoji-loader.js
-rw-r--r--
13.04 KB
2026-08-06 19:42
编辑
下载
权限
删除
重命名
wp-emoji-loader.min.js
-rw-r--r--
2.91 KB
2026-08-06 19:42
编辑
下载
权限
删除
重命名
wp-emoji-release.min.js
-rw-r--r--
22.22 KB
2026-07-10 03:34
编辑
下载
权限
删除
重命名
wp-emoji.min.js
-rw-r--r--
2.79 KB
2026-03-15 20:43
编辑
下载
权限
删除
重命名
wp-list-revisions.js
-rw-r--r--
970 B
2018-06-28 06:30
编辑
下载
权限
删除
重命名
wp-list-revisions.min.js
-rw-r--r--
597 B
2021-01-06 20:29
编辑
下载
权限
删除
重命名
wp-lists.js
-rw-r--r--
24.72 KB
2023-06-24 18:32
编辑
下载
权限
删除
重命名
wp-lists.min.js
-rw-r--r--
7.34 KB
2023-06-24 18:32
编辑
下载
权限
删除
重命名
wp-sanitize.min.js
-rw-r--r--
402 B
2026-05-21 23:23
编辑
下载
权限
删除
重命名
wpdialog.min.js
-rw-r--r--
281 B
2023-01-25 02:13
编辑
下载
权限
删除
重命名